{"items":[{"type":"link","label":"Grid reports API by Observepoint","link":"/openapi/grid-api.openapi","routeSlug":"/openapi/grid-api.openapi","content":{"contentType":"overview","meta":{"name":"Grid reports API by Observepoint"},"children":[{"nodeType":"container","panels":[{"title":"Download OpenAPI description","titleTranslationKey":"download.description.title","children":[{"kind":"download","label":"GRID-API.openapi.json","url":"/_bundle/openapi/GRID-API.openapi.json?download"},{"kind":"download","label":"GRID-API.openapi.yaml","url":"/_bundle/openapi/GRID-API.openapi.yaml?download"}]},{"title":"Overview","titleTranslationKey":"info.title","children":[{"kind":"externallink","title":"URL","titleTranslationKey":"info.contact.url","label":"https://www.observepoint.com/contact-us","url":"https://www.observepoint.com/contact-us"}]},{"title":"Languages","titleTranslationKey":"languages.title","children":[{"kind":"languages","options":[{"key":"curl","title":"curl","lang":"curl"},{"key":"javascript","title":"JavaScript","lang":"JavaScript"},{"key":"node","title":"Node.js","lang":"Node.js"},{"key":"python","title":"Python","lang":"Python"},{"key":"java","title":"Java","lang":"Java"},{"key":"csharp","title":"C#","lang":"C#"},{"key":"php","title":"PHP","lang":"PHP"},{"key":"go","title":"Go","lang":"Go"},{"key":"ruby","title":"Ruby","lang":"Ruby"},{"key":"r","title":"R","lang":"R"},{"key":"payload","title":"Payload","lang":"Payload"}]}]},{"title":"Servers","titleTranslationKey":"servers.title","children":[{"kind":"servers","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"mode":"default"}]}],"children":[{"nodeType":"overview-section-wrapper","children":[{"nodeType":"header","level":1,"label":"Grid reports API by Observepoint","showPageActions":true},{"nodeType":"overview-section-wrapper","children":[{"nodeType":"markdoc","content":"This section documents the API endpoints for using the ObservePoint Grid API, which provides access to ObservePoint data in row/column format."}],"sectionId":"/openapi/grid-api.openapi"}],"sectionId":"/openapi/grid-api.openapi"}]}]}},{"label":"Get Grid Data","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/grid-api.openapi/other/getgriddata","routeSlug":"/openapi/grid-api.openapi/other/getgriddata","metadata":{"seo":{"title":"Get Grid Data","description":"POST /v3/reports/grid/{gridEntityType}"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getGridData","name":"Get Grid Data","isWebhook":false,"pointer":"/paths/~1v3~1reports~1grid~1{gridEntityType}/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get Grid Data","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-post"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"POST"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/reports/grid/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{gridEntityType}"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"This is the main endpoint for the Grid API. It lets you request data in row/column format for the"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"entities that ObservePoint has collected about your website"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"gridEntityType","in":"path","schemaId":"schema_447","description":"The grid entity type for which you want to query data","required":true}],"pointer":"/paths/~1v3~1reports~1grid~1{gridEntityType}/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":false,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/GridApi_RequestDTO"}},"schemaId":"components/schemas/GridApi_RequestDTO","pointer":"/paths/~1v3~1reports~1grid~1{gridEntityType}/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/v3/reports/grid/{gridEntityType}","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[{"name":"gridEntityType","in":"path","required":true,"schemaId":"components/schemas/GridApi_GridEntityTypeInPathEnum"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/GridApi_RequestDTO"}},"responseCodes":["200","400","401","403"],"pointer":"/v3/reports/grid/{gridEntityType}","href":"other/getgriddata","openApiOperationId":"getGridData","summary":"Get Grid Data"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"schemaId":"components/schemas/GridApi_RequestDTO","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/GridApi_RequestDTO"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Grid Data","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/GridApi_ResponseDTO"}},"schemaId":"components/schemas/GridApi_ResponseDTO"},{"code":"400","description":"The request cannot be accepted","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1reports~1grid~1{gridEntityType}/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/GridApi_ResponseDTO","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/GridApi_ResponseDTO"}}},{"code":"400","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/other/getgriddata"}],"panels":[]}]},"httpPath":"/v3/reports/grid/{gridEntityType}"},{"label":"Get Grid Schema","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/grid-api.openapi/other/getgridschema","routeSlug":"/openapi/grid-api.openapi/other/getgridschema","metadata":{"seo":{"title":"Get Grid Schema","description":"GET /v3/reports/grid/{gridEntityType}/schema"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getGridSchema","name":"Get Grid Schema","isWebhook":false,"pointer":"/paths/~1v3~1reports~1grid~1{gridEntityType}~1schema/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get Grid Schema","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-get"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"GET"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/reports/grid/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{gridEntityType}"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":"/schema"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Returns the list of columns that area available for the specified entity type, along with each column's ID, type, supported filter operators, and supported aggreate functions"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"gridEntityType","in":"path","schemaId":"schema_447","description":"Grid entity type","required":true}],"pointer":"/paths/~1v3~1reports~1grid~1{gridEntityType}~1schema/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v3/reports/grid/{gridEntityType}/schema","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[{"name":"gridEntityType","in":"path","required":true,"schemaId":"components/schemas/GridApi_GridEntityTypeInPathEnum"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"responseCodes":["200","401","403"],"pointer":"/v3/reports/grid/{gridEntityType}/schema","href":"other/getgridschema","openApiOperationId":"getGridSchema","summary":"Get Grid Schema"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Grid Schema","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/GridApi_GetSchemaResponseDTO"}},"schemaId":"components/schemas/GridApi_GetSchemaResponseDTO"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1reports~1grid~1{gridEntityType}~1schema/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/GridApi_GetSchemaResponseDTO","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/GridApi_GetSchemaResponseDTO"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/other/getgridschema"}],"panels":[]}]},"httpPath":"/v3/reports/grid/{gridEntityType}/schema"},{"label":"Create Saved Report","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/grid-api.openapi/other/createsavedreport","routeSlug":"/openapi/grid-api.openapi/other/createsavedreport","metadata":{"seo":{"title":"Create Saved Report","description":"A saved report contains information about the report, such as its name and permissions, and also the Grid API query definition that is applied when users view the report. The query definition uses the same JSON format as a Grid API request"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"createSavedReport","name":"Create Saved Report","isWebhook":false,"pointer":"/paths/~1v3~1reports~1grid~1saved/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create Saved Report","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A saved report contains information about the report, such as its name and permissions, and also the Grid API query definition that is applied when users view the report. The query definition uses the same JSON format as a "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"#operation/getGridData"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Grid API request"},"children":[]}]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/GridApi_CreateSavedReportRequestDTO"}},"schemaId":"components/schemas/GridApi_CreateSavedReportRequestDTO","pointer":"/paths/~1v3~1reports~1grid~1saved/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/v3/reports/grid/saved","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/GridApi_CreateSavedReportRequestDTO"}},"responseCodes":["201","400","401","403"],"pointer":"/v3/reports/grid/saved","href":"other/createsavedreport","openApiOperationId":"createSavedReport","summary":"Create Saved Report"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"schemaId":"components/schemas/GridApi_CreateSavedReportRequestDTO","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/GridApi_CreateSavedReportRequestDTO"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"201","description":"Saved report created successfully","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/GridApi_CreateSavedReportResponseDTO"}},"schemaId":"components/schemas/GridApi_CreateSavedReportResponseDTO"},{"code":"400","description":"The request cannot be accepted","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1reports~1grid~1saved/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"201","schemaId":"components/schemas/GridApi_CreateSavedReportResponseDTO","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/GridApi_CreateSavedReportResponseDTO"}}},{"code":"400","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/other/createsavedreport"}],"panels":[]}]},"httpPath":"/v3/reports/grid/saved"},{"label":"List Saved Reports","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/grid-api.openapi/other/getsavedreportslist","routeSlug":"/openapi/grid-api.openapi/other/getsavedreportslist","metadata":{"seo":{"title":"List Saved Reports","description":"GET /v3/reports/grid/saved"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getSavedReportsList","name":"List Saved Reports","isWebhook":false,"pointer":"/paths/~1v3~1reports~1grid~1saved/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"List Saved Reports","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-get"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"GET"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/reports/grid/saved"},"children":[]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"name","in":"query","schemaId":"schema_448","description":"Filter by report name, works as \"saved report name contains substring\" case-insensitive filter"},{"name":"isFavorite","in":"query","schemaId":"schema_449","description":"Filter by favorite status"},{"name":"isOwnedByCurrentUser","in":"query","schemaId":"schema_449","description":"Filter by ownership status"},{"name":"page","in":"query","schemaId":"schema_450","description":"Page number, starts with 0"},{"name":"size","in":"query","schemaId":"schema_451","description":"Number of items per page"},{"name":"sortBy","in":"query","schemaId":"schema_452","description":"Sort by field"},{"name":"sortDesc","in":"query","schemaId":"schema_453","description":"Controls sorting order"},{"name":"isManagedByOP","in":"query","schemaId":"schema_449","description":"Filter by managed by ObservePoint"},{"name":"visibility","in":"query","schemaId":"schema_454","description":"Filter by visibility status"}],"pointer":"/paths/~1v3~1reports~1grid~1saved/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v3/reports/grid/saved","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[],"query":[{"name":"name","in":"query","required":false,"schemaId":"schema_448"},{"name":"isFavorite","in":"query","required":false,"schemaId":"schema_449"},{"name":"isOwnedByCurrentUser","in":"query","required":false,"schemaId":"schema_449"},{"name":"page","in":"query","required":false,"schemaId":"schema_450"},{"name":"size","in":"query","required":false,"schemaId":"schema_451"},{"name":"sortBy","in":"query","required":false,"schemaId":"components/schemas/GridApi_SavedReports_SortColumn"},{"name":"sortDesc","in":"query","required":false,"schemaId":"schema_453"},{"name":"isManagedByOP","in":"query","required":false,"schemaId":"schema_449"},{"name":"visibility","in":"query","required":false,"schemaId":"components/schemas/GridApi_SavedReportVisibilityEnum"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"responseCodes":["200","400","401","403"],"pointer":"/v3/reports/grid/saved","href":"other/getsavedreportslist","openApiOperationId":"getSavedReportsList","summary":"List Saved Reports"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"List of saved reports","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/GridApi_GetSavedReportsListResponseDTO"}},"schemaId":"components/schemas/GridApi_GetSavedReportsListResponseDTO"},{"code":"400","description":"The request cannot be accepted","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1reports~1grid~1saved/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/GridApi_GetSavedReportsListResponseDTO","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/GridApi_GetSavedReportsListResponseDTO"}}},{"code":"400","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/other/getsavedreportslist"}],"panels":[]}]},"httpPath":"/v3/reports/grid/saved"},{"label":"Get Saved Report","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/grid-api.openapi/other/getsavedreportbyid","routeSlug":"/openapi/grid-api.openapi/other/getsavedreportbyid","metadata":{"seo":{"title":"Get Saved Report","description":"GET /v3/reports/grid/saved/{id}"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getSavedReportById","name":"Get Saved Report","isWebhook":false,"pointer":"/paths/~1v3~1reports~1grid~1saved~1{id}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get Saved Report","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-get"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"GET"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/reports/grid/saved/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{id}"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"id","in":"path","schemaId":"schema_455","required":true}],"pointer":"/paths/~1v3~1reports~1grid~1saved~1{id}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v3/reports/grid/saved/{id}","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[{"name":"id","in":"path","required":true,"schemaId":"components/schemas/GridApi_SavedReportId"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"responseCodes":["200","400","401","403","404"],"pointer":"/v3/reports/grid/saved/{id}","href":"other/getsavedreportbyid","openApiOperationId":"getSavedReportById","summary":"Get Saved Report"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Saved report details","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/GridApi_SavedReportDTO"}},"schemaId":"components/schemas/GridApi_SavedReportDTO"},{"code":"400","description":"The request cannot be accepted","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"404","description":"The object you are looking is not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1reports~1grid~1saved~1{id}/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/GridApi_SavedReportDTO","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/GridApi_SavedReportDTO"}}},{"code":"400","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"404","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/other/getsavedreportbyid"}],"panels":[]}]},"httpPath":"/v3/reports/grid/saved/{id}"},{"label":"Update Saved Report","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/grid-api.openapi/other/updatesavedreport","routeSlug":"/openapi/grid-api.openapi/other/updatesavedreport","metadata":{"seo":{"title":"Update Saved Report","description":"PUT /v3/reports/grid/saved/{id}"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"updateSavedReport","name":"Update Saved Report","isWebhook":false,"pointer":"/paths/~1v3~1reports~1grid~1saved~1{id}/put","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Update Saved Report","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-put"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"PUT"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/reports/grid/saved/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{id}"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"id","in":"path","schemaId":"schema_455","required":true}],"pointer":"/paths/~1v3~1reports~1grid~1saved~1{id}/put/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/GridApi_UpdateSavedReportRequestDTO"}},"schemaId":"components/schemas/GridApi_UpdateSavedReportRequestDTO","pointer":"/paths/~1v3~1reports~1grid~1saved~1{id}/put/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PUT","path":"/v3/reports/grid/saved/{id}","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[{"name":"id","in":"path","required":true,"schemaId":"components/schemas/GridApi_SavedReportId"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/GridApi_UpdateSavedReportRequestDTO"}},"responseCodes":["204","400","401","403","404"],"pointer":"/v3/reports/grid/saved/{id}","href":"other/updatesavedreport","openApiOperationId":"updateSavedReport","summary":"Update Saved Report"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"schemaId":"components/schemas/GridApi_UpdateSavedReportRequestDTO","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/GridApi_UpdateSavedReportRequestDTO"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"204","description":"Saved report updated successfully"},{"code":"400","description":"The request cannot be accepted","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"404","description":"The object you are looking is not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1reports~1grid~1saved~1{id}/put/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"204"},{"code":"400","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"404","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/other/updatesavedreport"}],"panels":[]}]},"httpPath":"/v3/reports/grid/saved/{id}"},{"label":"Delete Saved Report","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/grid-api.openapi/other/deletesavedreport","routeSlug":"/openapi/grid-api.openapi/other/deletesavedreport","metadata":{"seo":{"title":"Delete Saved Report","description":"DELETE /v3/reports/grid/saved/{id}"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"deleteSavedReport","name":"Delete Saved Report","isWebhook":false,"pointer":"/paths/~1v3~1reports~1grid~1saved~1{id}/delete","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Delete Saved Report","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-delete"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"DELETE"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/reports/grid/saved/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{id}"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"id","in":"path","schemaId":"schema_455","required":true}],"pointer":"/paths/~1v3~1reports~1grid~1saved~1{id}/delete/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"DELETE","path":"/v3/reports/grid/saved/{id}","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[{"name":"id","in":"path","required":true,"schemaId":"components/schemas/GridApi_SavedReportId"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"responseCodes":["204","400","401","403","404"],"pointer":"/v3/reports/grid/saved/{id}","href":"other/deletesavedreport","openApiOperationId":"deleteSavedReport","summary":"Delete Saved Report"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"204","description":"Saved report deleted successfully"},{"code":"400","description":"The request cannot be accepted","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"404","description":"The object you are looking is not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1reports~1grid~1saved~1{id}/delete/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"204"},{"code":"400","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"404","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/other/deletesavedreport"}],"panels":[]}]},"httpPath":"/v3/reports/grid/saved/{id}"},{"label":"Favorite Saved Report","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/grid-api.openapi/other/addsavedreporttofavorites","routeSlug":"/openapi/grid-api.openapi/other/addsavedreporttofavorites","metadata":{"seo":{"title":"Favorite Saved Report","description":"POST /v3/reports/grid/saved/{id}/favorites"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"addSavedReportToFavorites","name":"Favorite Saved Report","isWebhook":false,"pointer":"/paths/~1v3~1reports~1grid~1saved~1{id}~1favorites/post","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Favorite Saved Report","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-post"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"POST"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/reports/grid/saved/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{id}"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":"/favorites"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Mark a saved report as a \"favorite\" for the user to whom the API key belongs"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"id","in":"path","schemaId":"schema_455","required":true}],"pointer":"/paths/~1v3~1reports~1grid~1saved~1{id}~1favorites/post/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/v3/reports/grid/saved/{id}/favorites","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[{"name":"id","in":"path","required":true,"schemaId":"components/schemas/GridApi_SavedReportId"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"responseCodes":["204","400","401","403","404"],"pointer":"/v3/reports/grid/saved/{id}/favorites","href":"other/addsavedreporttofavorites","openApiOperationId":"addSavedReportToFavorites","summary":"Favorite Saved Report"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"204","description":"Saved report added to favorites successfully"},{"code":"400","description":"The request cannot be accepted","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"404","description":"The object you are looking is not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1reports~1grid~1saved~1{id}~1favorites/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"204"},{"code":"400","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"404","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/other/addsavedreporttofavorites"}],"panels":[]}]},"httpPath":"/v3/reports/grid/saved/{id}/favorites"},{"label":"Unfavorite Saved Report","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/grid-api.openapi/other/removesavedreportfromfavorites","routeSlug":"/openapi/grid-api.openapi/other/removesavedreportfromfavorites","metadata":{"seo":{"title":"Unfavorite Saved Report","description":"DELETE /v3/reports/grid/saved/{id}/favorites"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"removeSavedReportFromFavorites","name":"Unfavorite Saved Report","isWebhook":false,"pointer":"/paths/~1v3~1reports~1grid~1saved~1{id}~1favorites/delete","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Unfavorite Saved Report","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-delete"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"DELETE"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/reports/grid/saved/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{id}"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":"/favorites"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Mark a saved report as not a favorite for the user to whom the API key belongs"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"id","in":"path","schemaId":"schema_455","required":true}],"pointer":"/paths/~1v3~1reports~1grid~1saved~1{id}~1favorites/delete/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"DELETE","path":"/v3/reports/grid/saved/{id}/favorites","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[{"name":"id","in":"path","required":true,"schemaId":"components/schemas/GridApi_SavedReportId"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"responseCodes":["204","400","401","403","404"],"pointer":"/v3/reports/grid/saved/{id}/favorites","href":"other/removesavedreportfromfavorites","openApiOperationId":"removeSavedReportFromFavorites","summary":"Unfavorite Saved Report"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"204","description":"Saved report removed from favorites successfully"},{"code":"400","description":"The request cannot be accepted","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"404","description":"The object you are looking is not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1reports~1grid~1saved~1{id}~1favorites/delete/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"204"},{"code":"400","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"404","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/other/removesavedreportfromfavorites"}],"panels":[]}]},"httpPath":"/v3/reports/grid/saved/{id}/favorites"},{"label":"Start a grid data export","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/grid-api.openapi/other/initiategriddataexport","routeSlug":"/openapi/grid-api.openapi/other/initiategriddataexport","metadata":{"seo":{"title":"Start a grid data export","description":"POST /v3/reports/grid/{gridEntityType}/exports"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"initiateGridDataExport","name":"Start a grid data export","isWebhook":false,"pointer":"/paths/~1v3~1reports~1grid~1{gridEntityType}~1exports/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Start a grid data export","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-post"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"POST"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/reports/grid/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{gridEntityType}"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":"/exports"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use this endpoint to start an export for a Grid request. After calling this endpoint, use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"/v3/exports"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" endpoint to poll the status of"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"the export until it's finished. Then, you can download the results with the URL given by the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"/v3/exports"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" endpoint."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"/sections/grid-api-exports"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Learn how to use the Grid export API"},"children":[]}]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"gridEntityType","in":"path","schemaId":"schema_447","description":"grid entity type","required":true}],"pointer":"/paths/~1v3~1reports~1grid~1{gridEntityType}~1exports/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/GridApi_ExportRequestDTO"}},"schemaId":"components/schemas/GridApi_ExportRequestDTO","pointer":"/paths/~1v3~1reports~1grid~1{gridEntityType}~1exports/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/v3/reports/grid/{gridEntityType}/exports","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[{"name":"gridEntityType","in":"path","required":true,"schemaId":"components/schemas/GridApi_GridEntityTypeInPathEnum"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/GridApi_ExportRequestDTO"}},"responseCodes":["200","400","401","403"],"pointer":"/v3/reports/grid/{gridEntityType}/exports","href":"other/initiategriddataexport","openApiOperationId":"initiateGridDataExport","summary":"Start a grid data export"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"schemaId":"components/schemas/GridApi_ExportRequestDTO","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/GridApi_ExportRequestDTO"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Grid export ID","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/GridExportResultDTO"}},"schemaId":"components/schemas/GridExportResultDTO"},{"code":"400","description":"The request cannot be accepted","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1reports~1grid~1{gridEntityType}~1exports/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/GridExportResultDTO","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/GridExportResultDTO"}}},{"code":"400","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/other/initiategriddataexport"}],"panels":[]}]},"httpPath":"/v3/reports/grid/{gridEntityType}/exports"}],"store":{"schemaStore":{"components/schemas/DateAndTime":{"id":"components/schemas/DateAndTime","kind":"json-schema","title":"DateAndTime","data":{"type":"string","format":"date-time","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Date-time in "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://www.ietf.org/rfc/rfc3339.txt"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"RFC3339 profile ISO 8601 format"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" with"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"the following additional restrictions:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":true,"marker":"."},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"An uppercase T must separate the date and time portions."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"An uppercase Z must denote that a numeric time zone offset isn't present."},"children":[]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"In general, these timestamp requirements are the same in"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://docs.aws.amazon.com/step-functions/latest/dg/amazon-states-language-choice-state.html"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"AWS Step Functions - Choice Rules"},"children":[]}]}]}]}],"example":"2016-08-18T17:33:00Z"}},"components/schemas/CommonIterableResponseMetadata":{"id":"components/schemas/CommonIterableResponseMetadata","kind":"json-schema","title":"CommonIterableResponseMetadata","data":{"description":"Common metadata for iterable","type":"object","required":["pagination"],"properties":{"pagination":{"$ref":"#/components/schemas/PaginationMetadata"}}}},"components/schemas/AccountId":{"id":"components/schemas/AccountId","kind":"json-schema","title":"AccountId","data":{"type":"integer","description":"ID of an account","example":123}},"components/schemas/UserId":{"id":"components/schemas/UserId","kind":"json-schema","title":"UserId","data":{"type":"integer","description":"ID of a user"}},"components/schemas/LabelId":{"id":"components/schemas/LabelId","kind":"json-schema","title":"LabelId","data":{"type":"integer","format":"int64","description":"ID of a label"}},"components/schemas/GridApi_SchemaCapabilitiesEnum":{"id":"components/schemas/GridApi_SchemaCapabilitiesEnum","kind":"json-schema","title":"GridApi_SchemaCapabilitiesEnum","data":{"type":"string","x-class-extra-annotation":"@AllowUnknownEnumValues","enum":["query_all_accounts","ui_hints","data_dictionary"]}},"components/schemas/GridApi_ColumnId":{"id":"components/schemas/GridApi_ColumnId","kind":"json-schema","title":"GridApi_ColumnId","data":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Depends on the Grid type:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Audit Runs Grid: one of the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"AuditRunsGridColumnEnum"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" values"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Web Journey Runs Grid: one of the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"WebJourneyRunsGridColumnEnum"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" values"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Pages Grid: one of the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"PagesGridColumnEnum"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" values"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Cookies Grid: one of the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"CookiesGridColumnEnum"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" values"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Tags Grid: one of the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"TagsGridColumnEnum"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" values"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Tag Variables Grid: one of the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"TagVariablesGridColumnEnum"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" values"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Links Grid: one of the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"LinksGridColumnEnum"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" values"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Network Requests Grid: one of the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"NetworkRequestsGridColumnEnum"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" values"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Accessibility Issues Grid: one of the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"AccessibilityIssuesGridColumnEnum"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" values"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Browser Logs Grid: one of the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"BrowserLogsGridColumnEnum"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" values"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Rules Grid: one of the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"RulesGridColumnEnum"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" values"},"children":[]}]}]}]}]}},"components/schemas/GridApi_SavedReportId":{"id":"components/schemas/GridApi_SavedReportId","kind":"json-schema","title":"GridApi_SavedReportId","data":{"type":"integer","format":"int64","description":"ID of the saved report"}},"components/schemas/GridApi_OpManagedReportId":{"id":"components/schemas/GridApi_OpManagedReportId","kind":"json-schema","title":"GridApi_OpManagedReportId","data":{"type":"integer","format":"int64","description":"ID of the OpManaged report"}},"components/schemas/GridApi_SavedReportSearchParam":{"id":"components/schemas/GridApi_SavedReportSearchParam","kind":"json-schema","title":"GridApi_SavedReportSearchParam","data":{"type":"string","description":"Parameter to search for saved reports"}},"components/schemas/GridApi_GetSchemaResponseDTO":{"id":"components/schemas/GridApi_GetSchemaResponseDTO","kind":"json-schema","title":"GridApi_GetSchemaResponseDTO","data":{"type":"object","required":["columns"],"properties":{"columns":{"type":"array","minItems":1,"items":{"$ref":"#/components/schemas/GridApi_SchemaColumnDef"}}}}},"components/schemas/GridApi_SchemaColumnDef":{"id":"components/schemas/GridApi_SchemaColumnDef","kind":"json-schema","title":"GridApi_SchemaColumnDef","data":{"type":"object","required":["columnId","type","name","canGroupBy","canPivot","supportedFilterOperators","supportedAggregateFunctions","isIncludedByDefault","isNullable"],"properties":{"columnId":{"$ref":"#/components/schemas/GridApi_ColumnId"},"type":{"$ref":"#/components/schemas/GridApi_ColumnTypeEnum"},"name":{"type":"string","description":"Human-readable value for column, to be shown for users"},"canGroupBy":{"type":"boolean","default":true},"canPivot":{"type":"boolean","default":false},"supportedFilterOperators":{"type":"array","minItems":1,"items":{"$ref":"#/components/schemas/GridApi_FilterOperatorEnum"}},"supportedAggregateFunctions":{"type":"array","minItems":0,"description":"If not empty, then this column can be aggregated by the functions listed in this array. Default aggregation\nfunction is the first one in the list.\nIf empty, then this column cannot be aggregated.\n","items":{"$ref":"#/components/schemas/GridApi_AggregateFunctionEnum"}},"isIncludedByDefault":{"type":"boolean","description":"If true and no columns are specified in the request, this column will be included in the response.","default":false},"isNullable":{"type":"boolean","description":"If true, column value can be null or empty string","default":false},"dataDictionaryColumnOriginType":{"$ref":"#/components/schemas/DataDictionaryColumnOriginTypeEnum"}},"discriminator":{"propertyName":"type","mapping":{"id":"#/components/schemas/GridApi_SchemaColumnDef_Simple","entity_reference":"#/components/schemas/GridApi_SchemaColumnDef_EntityReference","string":"#/components/schemas/GridApi_SchemaColumnDef_Simple","number":"#/components/schemas/GridApi_SchemaColumnDef_Number","timestamp":"#/components/schemas/GridApi_SchemaColumnDef_Timestamp","image":"#/components/schemas/GridApi_SchemaColumnDef_Image"}}}},"components/schemas/DataDictionaryColumnOriginTypeEnum":{"id":"components/schemas/DataDictionaryColumnOriginTypeEnum","kind":"json-schema","title":"DataDictionaryColumnOriginTypeEnum","data":{"type":"string","enum":["definition_config","op_field","custom_field"]}},"components/schemas/GridApi_ColumnTypeEnum":{"id":"components/schemas/GridApi_ColumnTypeEnum","kind":"json-schema","title":"GridApi_ColumnTypeEnum","data":{"type":"string","enum":["id","entity_reference","string","number","timestamp","image"]}},"components/schemas/GridApi_SchemaUiHints_FieldUiName":{"id":"components/schemas/GridApi_SchemaUiHints_FieldUiName","kind":"json-schema","title":"GridApi_SchemaUiHints_FieldUiName","data":{"type":"object","required":["fieldName","uiName"],"properties":{"fieldName":{"$ref":"#/components/schemas/GridApi_EntityReference_FieldTypeEnum"},"uiName":{"type":"string","description":"Human-readable name of the field, e.g. 'Cookie Name'"}}}},"components/schemas/GridApi_UiHintsSectionId":{"id":"components/schemas/GridApi_UiHintsSectionId","kind":"json-schema","title":"GridApi_UiHintsSectionId","data":{"type":"string","description":"Id of the group of columns in which this column should be shown"}},"components/schemas/GridApi_SchemaSectionUiHints":{"id":"components/schemas/GridApi_SchemaSectionUiHints","kind":"json-schema","title":"GridApi_SchemaSectionUiHints","data":{"type":"object","required":["id","name"],"properties":{"id":{"$ref":"#/components/schemas/GridApi_UiHintsSectionId"},"name":{"type":"string","description":"Name of the group of columns in which this column should be shown"},"description":{"type":"string","description":"Description of the section, to be shown for users"}}}},"components/schemas/GridApi_ColoringRule":{"id":"components/schemas/GridApi_ColoringRule","kind":"json-schema","title":"GridApi_ColoringRule","data":{"description":"Ordered list of coloring rules to apply to the column. The first (left-most) rule with matching threshold wins,\nand its color should be applied to the column value.\n","type":"object","required":["id","thresholds"],"properties":{"id":{"$ref":"#/components/schemas/GridApi_ColoringRuleId"},"thresholds":{"type":"array","minItems":0,"items":{"$ref":"#/components/schemas/GridApi_ColoringRuleThreshold"}}}}},"components/schemas/GridApi_ColoringRuleId":{"id":"components/schemas/GridApi_ColoringRuleId","kind":"json-schema","title":"GridApi_ColoringRuleId","data":{"type":"string","description":"ID of the coloring rule","example":"status_code"}},"components/schemas/GridApi_ColoringRuleThreshold":{"id":"components/schemas/GridApi_ColoringRuleThreshold","kind":"json-schema","title":"GridApi_ColoringRuleThreshold","data":{"type":"object","required":["minValue","colorType"],"properties":{"minValue":{"type":"number","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The minimum value for which the rule should be applied -"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"if the column value is greater than or equal to the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"minValue"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":", the coloring rule should be applied."},"children":[]}]}]}]},"colorType":{"$ref":"#/components/schemas/GridApi_ColorTypeEnum"}}}},"components/schemas/GridApi_ColorTypeEnum":{"id":"components/schemas/GridApi_ColorTypeEnum","kind":"json-schema","title":"GridApi_ColorTypeEnum","data":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"This enum is used to specify the color of the column value in the grid. Meanings of the values:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"*"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"default – no special coloration (text is black or white depending on the UI theme)"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"excellent – green with glow (best state)"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"good – healthy green (best/healthy state)"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"debug (development or diagnostic information)"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"notice (informational message)"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"info – informational blue color"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"moderate – yellow (middle-ground)"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"warning – orange (issues are becoming concerning)"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"bad – red (worst/critical state)"},"children":[]}]}]}]}],"enum":["excellent","default","good","debug","notice","info","moderate","warning","bad"]}},"components/schemas/GridApi_LinkBase":{"id":"components/schemas/GridApi_LinkBase","kind":"json-schema","title":"GridApi_LinkBase","data":{"type":"object","required":["text","linkType"],"properties":{"text":{"type":"string","description":"Text of the link/button that will be displayed in the context menu","example":"Show in Pages report"},"linkType":{"$ref":"#/components/schemas/GridApi_LinkTypeEnum"}},"discriminator":{"propertyName":"linkType","mapping":{"audit_run_report":"#/components/schemas/GridApi_LinkToAuditRunReport","page_details":"#/components/schemas/GridApi_LinkToPageDetails","web_journey_run_report":"#/components/schemas/GridApi_LinkToWebJourneyRunReport","grid_report":"#/components/schemas/GridApi_LinkToGridReport","email_inbox":"#/components/schemas/GridApi_LinkToEmailInbox","tag_and_variable_rule_modal":"#/components/schemas/GridApi_LinkToTagAndVariableRuleModal"}}}},"components/schemas/GridApi_LinkTypeEnum":{"id":"components/schemas/GridApi_LinkTypeEnum","kind":"json-schema","title":"GridApi_LinkTypeEnum","data":{"type":"string","enum":["audit_run_report","page_details","web_journey_run_report","grid_report","email_inbox","tag_and_variable_rule_modal"]}},"components/schemas/GridApi_LinkToAuditRunReport":{"id":"components/schemas/GridApi_LinkToAuditRunReport","kind":"json-schema","title":"GridApi_LinkToAuditRunReport","data":{"x-discriminator-value":"audit_run_report","allOf":[{"$ref":"#/components/schemas/GridApi_LinkBase"},{"type":"object","required":["linkParams"],"properties":{"linkParams":{"$ref":"#/components/schemas/GridApi_LinkToAuditRun_LinkParams"},"filters":{"type":"object","description":"report filters object (may be empty), same as in the audit run report alert definition."}}}]}},"components/schemas/GridApi_LinkToAuditRun_LinkParams":{"id":"components/schemas/GridApi_LinkToAuditRun_LinkParams","kind":"json-schema","title":"GridApi_LinkToAuditRun_LinkParams","data":{"type":"object","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"This object specifies column IDs which values are used to populate variables in audit run report link template."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example of link:"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"\"/audit/{auditId}/run/{auditRunId}/report/{reportType}\""},"children":[]}]}]}],"required":["auditIdColumn","auditRunIdColumn","reportType"],"properties":{"auditIdColumn":{"$ref":"#/components/schemas/GridApi_ColumnId"},"auditRunIdColumn":{"$ref":"#/components/schemas/GridApi_ColumnId"},"reportType":{"$ref":"#/components/schemas/GridApi_LinkToAuditRun_ReportTypeEnum"}}}},"components/schemas/GridApi_LinkToAuditRun_ReportTypeEnum":{"id":"components/schemas/GridApi_LinkToAuditRun_ReportTypeEnum","kind":"json-schema","title":"GridApi_LinkToAuditRun_ReportTypeEnum","data":{"description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"This enum is used to specify the type of the audit run report to link to, effectively allows FE to determine"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"the report link template, examples:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"\"audit_summary\" → \"/audit/{auditId}/run/{auditRunId}/report/audit-summary\""},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"\"page_summary\" → \"/audit/{auditId}/run/{auditRunId}/report/page-summary\""},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"and so on."},"children":[]}]}]}]}],"type":"string","enum":["audit_summary","alert_summary","page_summary","tag_inventory","tag_health","variable_inventory","tag_rules","tag_comparisons","tag_duplicates_and_multiples","cookie_inventory","browser_console_logs","cookie_privacy","tag_privacy","request_privacy","javascript_file_changes"]}},"components/schemas/GridApi_LinkToPageDetails":{"id":"components/schemas/GridApi_LinkToPageDetails","kind":"json-schema","title":"GridApi_LinkToPageDetails","data":{"x-discriminator-value":"page_details","allOf":[{"$ref":"#/components/schemas/GridApi_LinkBase"},{"type":"object","required":["linkParams"],"properties":{"linkParams":{"$ref":"#/components/schemas/GridApi_LinkToPageDetails_LinkParams"},"filters":{"type":"object","description":"page details filters object (may be empty), same as in the audit run report alert definition."}}}]}},"components/schemas/GridApi_LinkToPageDetails_LinkParams":{"id":"components/schemas/GridApi_LinkToPageDetails_LinkParams","kind":"json-schema","title":"GridApi_LinkToPageDetails_LinkParams","data":{"type":"object","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"This object specifies:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":true,"marker":"."},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"column IDs which values are used to populate variables in Page Details link template, and"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"the tab to open in the Page Details report."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Link template example:"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"\"/audit/{auditId}/run/{auditRunId}/report/page-details/{pageId}?tab={pageDetailsTab}\""},"children":[]}]}]}]}],"required":["auditIdColumn","auditRunIdColumn","pageIdColumn","pageDetailsTab"],"properties":{"auditIdColumn":{"$ref":"#/components/schemas/GridApi_ColumnId"},"auditRunIdColumn":{"$ref":"#/components/schemas/GridApi_ColumnId"},"pageIdColumn":{"$ref":"#/components/schemas/GridApi_ColumnId"},"pageDetailsTab":{"$ref":"#/components/schemas/GridApi_LinkToPageDetails_TabEnum"}}}},"components/schemas/GridApi_LinkToPageDetails_TabEnum":{"id":"components/schemas/GridApi_LinkToPageDetails_TabEnum","kind":"json-schema","title":"GridApi_LinkToPageDetails_TabEnum","data":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"This enum is used to specify the tab to open in the Page Details report, FE should map from this enum to"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"tab"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" query parameter value of Page Details, examples:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"\"info\" → \"?tab=page-information\""},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"\"tags\" → \"?tab=tags\""},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"\"tag_initiators\" → \"?tab=tag-initiators\""},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"and so on."},"children":[]}]}]}]}],"enum":["info","tags","tag_initiators","rules","cookies","accessibility_issues","request_log","browser_console_logs"]}},"components/schemas/GridApi_LinkToWebJourneyRunReport":{"id":"components/schemas/GridApi_LinkToWebJourneyRunReport","kind":"json-schema","title":"GridApi_LinkToWebJourneyRunReport","data":{"x-discriminator-value":"web_journey_run_report","allOf":[{"$ref":"#/components/schemas/GridApi_LinkBase"},{"type":"object","required":["linkParams"],"properties":{"linkParams":{"$ref":"#/components/schemas/GridApi_LinkToWebJourneyRun_LinkParams"}}}]}},"components/schemas/GridApi_LinkToWebJourneyRun_LinkParams":{"id":"components/schemas/GridApi_LinkToWebJourneyRun_LinkParams","kind":"json-schema","title":"GridApi_LinkToWebJourneyRun_LinkParams","data":{"type":"object","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"This object specifies the link to the Web Journey Run report:"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"\"/web-journey/{webJourneyId}/run/{webJourneyRunId}/results?action={actionSequenceNr}&tab={webJourneyRunReportTab}\""},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","typ
[...]
